## org.biojava.bio.seq.io
Class FeatureTableParser

    java.lang.Object
      org.biojava.bio.seq.io.FeatureTableParser

public class FeatureTableParser
extends java.lang.Object

Simple parser for feature tables. This is shared between the EMBL and GENBANK format readers.

Author:
  Thomas Down, Matthew Pocock, Greg Cox, Keith James

Method Summary
`void` `endFeature()`
`void` `featureData(java.lang.String line)`
`boolean` `inFeature()`
`void` `setSeqID(java.lang.String seqID)`
`void` `startFeature(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setSeqID

    public void setSeqID(java.lang.String seqID)

### startFeature

    public void startFeature(java.lang.String type)
                      throws BioException

  Throws:
    `BioException`

### featureData

    public void featureData(java.lang.String line)
                     throws BioException

  Throws:
    `BioException`

### endFeature

    public void endFeature()
                    throws BioException

  Throws:
    `BioException`

### inFeature

    public boolean inFeature()